Bug 388671 - SELinux is preventing firefox-bin stack executable.
SELinux is preventing firefox-bin stack executable.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 13:56 EST by Peter Harmsen
Modified: 2008-04-09 10:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux alert executable stack (3.21 KB, text/plain)
2007-11-17 13:56 EST, Peter Harmsen
no flags Details

  None (edit)
Description Peter Harmsen 2007-11-17 13:56:20 EST
Description of problem:
SELinux is preventing /usr/lib/firefox-2.0.0.9/firefox-bin from making the
    program stack executable.

Version-Release number of selected component (if applicable):
firefox-2.0.0.9

How reproducible:


Steps to Reproduce:
1.Uncheck all selinux memory protection booleans, thus increasing protection.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Harmsen 2007-11-17 13:56:20 EST
Created attachment 262451 [details]
selinux alert executable stack
Comment 2 Matěj Cepl 2008-02-21 17:35:27 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 3 Matěj Cepl 2008-02-21 17:36:43 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 Matěj Cepl 2008-04-09 10:05:31 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.